# locateFaces | @vladmandic/face-api - v1.7.8
Documentation for @vladmandic/face-api - v1.7.8

# Function locateFaces

- locateFaces(input: any, options: SsdMobilenetv1Options ): Promise< FaceDetection []>

- Attempts to detect all faces in an image using SSD Mobilenetv1 Network.

  ### Returns

  Bounding box of each face with score.

  #### Parameters

  - ##### input: any

    The input image.

  - ##### options: SsdMobilenetv1Options

    (optional, default: see SsdMobilenetv1Options constructor for default parameters).

  #### Returns Promise< FaceDetection []>

  - Defined in globalApi/nets.ts:35